Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86194 - kupdated eating 100% CPU, kernel freeze ++
Summary: kupdated eating 100% CPU, kernel freeze ++
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-16 19:27 UTC by no spam
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:39 UTC


Attachments (Terms of Use)

Description no spam 2003-03-16 19:27:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
After booting phoebe on an IBM Thinkpad T30, kupdated eats 100% CPU for atleast
an hour, happens allways with the mentioned kernel.

System randomly freezes while in console (text) mode.  It apears to be related
to simoltaneous usage of USB mouse and keyboard.  Once the error occours, no
keys on the keyboard work, and the power button is required.

1st time installing (upgrade of an 8.0 installation that worked just fine with
kernel v2.4.20, phoebe also works fine with this kernel), the system froze just
after installing LVM.  After reboot the redhat installer requested to boot the
system normally to do fsck, only problem was that the installer had among other
things killed /bin/sh on this system, so it would not boot; thus fsck had to be
ran from virtual console 2.  Continuing the installation after a reboot caused
numerous problems because the installer thought that /bin/sh was present
(according to rpm, bash-2.05a-13 was installed).  Some manual cp work + "rpm
-qV" to find broken packages solved these problems.

When installing (over ftp, using the pxeboot images loaded by grub), the
installer insisted on using eth0.  There was no option to use the wireless
interface.

On suspend (Fn-F4)-resume, the system frequently gets a "hda lost interrupt",
after which the system is unable to access the HD, power-switch is required to
resume operation.

Even after "kbdrate -d 250 -s 30", the keyboard delay before autorepeat is > 1 sec.

Finaly, a request: the installer should be rewritten so that it is easier to
install a small system with only the needed components.  This would require a
graphic installer with a smart system for grouping packages allowing one to say
"I don't program in C", "I do program in Python" and thus hide/show relevant
packages.

Version-Release number of selected component (if applicable):
kernel-2.4.18-24.7.x

How reproducible:
Sometimes

Steps to Reproduce:
1. install phoebe
2. see description
3.
    

Additional info:

Comment 1 no spam 2003-04-02 06:18:11 UTC
Just tested Redhat9.  It hasn't crashed on me yet, but kupdated still eats 100% CPU.

Comment 2 no spam 2003-04-13 16:28:40 UTC
Update: 

The crash seems to be fixed in RH9.

Booting the machine without noflushd (v2.6.3), CPU usage is fine.  If starting
it, kupdated will eat 100% cpu even after noflushd is killed.

Comment 3 Bugzilla owner 2004-09-30 15:40:39 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.